Name:            gom
Version:         0.4
Release:         1
Summary:         GObject to SQLite object mapper library
License:         LGPLv2+
URL:             https://wiki.gnome.org/Projects/Gom
Source0:         https://download.gnome.org/sources/gom/0.4/gom-%{version}.tar.xz

BuildRequires:   gobject-introspection-devel gtk-doc meson pkgconfig(gdk-pixbuf-2.0) pkgconfig(gio-2.0)
BuildRequires:   pkgconfig(gobject-2.0) pkgconfig(sqlite3) pygobject3-devel python3-devel python3-pygments
%description
Gom provides an object mapper from GObjects to SQLite. It helps you write applications
that need to store structured data as well as make complex queries upon that data.

%package          devel
Summary:          Development files for gom
Requires:         gom = %{version}-%{release}
%description      devel
The gom-devel package contains libraries and header files for developing applications that use gom.

%prep
%autosetup -n gom-%{version}
%build
%meson -Denable-gtk-doc=true
%meson_build

%install
%meson_install
%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%doc COPYING
%{_libdir}/{girepository-1.0/Gom-1.0.typelib,libgom-1.0.so.0*}
%{python3_sitearch}/{gi/overrides/*}

%files devel
%{_includedir}/gom-1.0/
%{_libdir}/{libgom-1.0.so,pkgconfig/gom-1.0.pc}
%{_datadir}/gir-1.0/Gom-1.0.gir
%doc %{_datadir}/gtk-doc/

%changelog
* Thu Jun 17 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 0.4-1
- Upgrade to 0.4
- Delete all patches which existed in version 0.4

* Mon Jul 27 2020 Zhiqiang Liu <lzhq28@mail.ustc.edu.cn> - 0.3.3-3
- backport upstream patches.

* Sun Jul 5 2020 Zhiqiang Liu <lzhq28@mail.ustc.edu.cn> - 0.3.3-2
- remove useless readme files.

* Fri Apr 24 2020 yanan li <liyanan032@huawei.com> - 0.3.3-1
- Package init
